Bug 868572 - Overlapping characters in gnome-terminal in Hebrew locale
Overlapping characters in gnome-terminal in Hebrew locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 17:39 EDT by Amir Aharoni
Modified: 2013-04-08 18:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 18:33:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Correct display when the locale is English (11.95 KB, image/png)
2012-10-20 17:39 EDT, Amir Aharoni
no flags Details
Broken display when the locale is Hebrew. (11.74 KB, image/png)
2012-10-20 17:39 EDT, Amir Aharoni
no flags Details

  None (edit)
Description Amir Aharoni 2012-10-20 17:39:12 EDT
Created attachment 630675 [details]
Correct display when the locale is English

Description of problem:
Overlapping characters apear in the terminal if the GNOME locale is Hebrew. It doesn't happen in English.

Version-Release number of selected component (if applicable):
Fedora 17, gnome-terminal 3.4.1.1

How reproducible:
Always.

Steps to Reproduce:
1. Install Fedora 17 with GNOME.
2. Switch the user interface to Hebrew.
3. Open gnome-terminal.
  
Actual results:
The @ character is not supposed to overlap with the adjacent letters.

Expected results:
The @ character overlaps with the adjacent letters.

Additional info:
See screenshot.
Comment 1 Amir Aharoni 2012-10-20 17:39:42 EDT
Created attachment 630676 [details]
Broken display when the locale is Hebrew.
Comment 2 Amir Aharoni 2012-10-21 05:11:26 EDT
Reported also in GNOME's bugzilla:
https://bugzilla.gnome.org/show_bug.cgi?id=686567
Comment 3 Fedora End Of Life 2013-04-03 12:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Matthias Clasen 2013-04-08 18:33:40 EDT
according to the upstream bug, this comes down to a font problem.
not sure we can do much about it in gnome-terminal.

Note You need to log in before you can comment on or make changes to this bug.